# PHTML::InputField Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputField:

List of all members.

## Protected Member Functions

| InputField (const char *type, const char *fname, DisableCodes disabled, const char *attr)
virtual | ~InputField ()
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::InputField::InputField | ( | const char * | type,
|  | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr |
| ) |  |  | `[protected]`

virtual PHTML::InputField::~InputField | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void PHTML::InputField::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::FormField.

Reimplemented in PHTML::HiddenField, PHTML::InputText, PHTML::RadioButton, PHTML::InputNumber, PHTML::InputFile, PHTML::InputImage, and PHTML::ResetButton.

The documentation for this class was generated from the following file:

- html.h